%define major 5
%define libname %mklibname vigraimpex %{major}
%define devname %mklibname %{name} -d

Summary:	Generic Programming for Computer Vision
Name:		vigra
Version:	1.10.0
Release:	6
License:	MIT
Group:		Development/C
Url:		http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
Source0:	https://github.com/ukoethe/vigra/releases/download/Version-1-10-0/%{name}-%{version}-src-with-docu.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	python-numpy
BuildRequires:	python-numpy-devel
BuildRequires:	python-sphinx
BuildRequires:	boost-devel
BuildRequires:	hdf5-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasize on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application, without thereby giving up execution speed.

#----------------------------------------------------------------------------

%package -n python-vigra
Summary:	Python interface for the vigra computer vision library
Requires:	%{libname} = %{EVRD}
Requires:	python-numpy

%description -n python-vigra
The vigra-python package provides python bindings for vigra.

%files -n python-vigra
%{python_sitearch}/vigra

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run %{name}.

%files -n %{libname}
%doc LICENSE.txt README.md
%{_libdir}/libvigraimpex.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%files -n %{devname}
%{_bindir}/vigra-config
%doc doc/vigra doc/vigranumpy
%{_includedir}/%{name}
%{_libdir}/%{name}
%{_libdir}/libvigraimpex.so
%{_libdir}/vigranumpy/VigranumpyConfig.cmake

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DWITH_OPENEXR=ON
%make VERBOSE=1

%install
%makeinstall_std -C build

rm -rf %{buildroot}/usr/doc

# cleanup
rm -f doc/vigranumpy/.buildinfo
find doc -type d | xargs chmod 755
find doc -type f | xargs chmod 644

%changelog

* Mon Feb 01 2016 Denis Silakov <dsilakov@gmail.com> 1.10.0-6
- (be99627) Really build with OpenEXR support


